USE [master]
GO
/****** Object:  Database [TestDB_Prize]    Script Date: 2018/12/04 04:08:19 PM ******/
CREATE DATABASE [TestDB_Prize] ON  PRIMARY 
( NAME = N'TestDB_Prize', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\TestDB_Prize.mdf' , SIZE = 3072KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'TestDB_Prize_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\TestDB_Prize_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO
ALTER DATABASE [TestDB_Prize] SET COMPATIBILITY_LEVEL = 100
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [TestDB_Prize].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [TestDB_Prize] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [TestDB_Prize] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [TestDB_Prize] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [TestDB_Prize] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [TestDB_Prize] SET ARITHABORT OFF 
GO
ALTER DATABASE [TestDB_Prize] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [TestDB_Prize] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [TestDB_Prize] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [TestDB_Prize] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [TestDB_Prize] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [TestDB_Prize] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [TestDB_Prize] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [TestDB_Prize] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [TestDB_Prize] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [TestDB_Prize] SET  DISABLE_BROKER 
GO
ALTER DATABASE [TestDB_Prize] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [TestDB_Prize] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [TestDB_Prize] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [TestDB_Prize] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [TestDB_Prize] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [TestDB_Prize] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [TestDB_Prize] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [TestDB_Prize] SET RECOVERY FULL 
GO
ALTER DATABASE [TestDB_Prize] SET  MULTI_USER 
GO
ALTER DATABASE [TestDB_Prize] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [TestDB_Prize] SET DB_CHAINING OFF 
GO
EXEC sys.sp_db_vardecimal_storage_format N'TestDB_Prize', N'ON'
GO
USE [TestDB_Prize]
GO
/****** Object:  User [test]    Script Date: 2018/12/04 04:08:20 PM ******/
CREATE USER [test] FOR LOGIN [test] WITH DEFAULT_SCHEMA=[dbo]
GO
/****** Object:  Table [dbo].[Course]    Script Date: 2018/12/04 04:08:21 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Course](
	[CourseId] [int] IDENTITY(1,1) NOT NULL,
	[CourseName] [nvarchar](50) NOT NULL,
	[StartDate] [datetime] NULL,
	[EndDate] [datetime] NULL,
 CONSTRAINT [PK_Course] PRIMARY KEY CLUSTERED 
(
	[CourseId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Student]    Script Date: 2018/12/04 04:08:21 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Student](
	[StudentId] [int] IDENTITY(1,1) NOT NULL,
	[FirstName] [nvarchar](50) NOT NULL,
	[Surname] [nvarchar](50) NOT NULL,
	[EmailAddress] [nvarchar](100) NULL,
	[IDNumber] [nvarchar](50) NULL,
 CONSTRAINT [PK_Student] PRIMARY KEY CLUSTERED 
(
	[StudentId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[Student_Course]    Script Date: 2018/12/04 04:08:21 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Student_Course](
	[StudentCourseId] [int] IDENTITY(1,1) NOT NULL,
	[StudentId] [int] NOT NULL,
	[CourseId] [int] NOT NULL,
 CONSTRAINT [PK_Student_Course] PRIMARY KEY CLUSTERED 
(
	[StudentCourseId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Index [NonClusteredIndex-20181204-160555]    Script Date: 2018/12/04 04:08:21 PM ******/
CREATE UNIQUE NONCLUSTERED INDEX [NonClusteredIndex-20181204-160555] ON [dbo].[Student_Course]
(
	[StudentId] ASC,
	[CourseId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
ALTER TABLE [dbo].[Student_Course]  WITH CHECK ADD  CONSTRAINT [FK_Student_Course_Course] FOREIGN KEY([CourseId])
REFERENCES [dbo].[Course] ([CourseId])
GO
ALTER TABLE [dbo].[Student_Course] CHECK CONSTRAINT [FK_Student_Course_Course]
GO
ALTER TABLE [dbo].[Student_Course]  WITH CHECK ADD  CONSTRAINT [FK_Student_Course_Student] FOREIGN KEY([StudentId])
REFERENCES [dbo].[Student] ([StudentId])
GO
ALTER TABLE [dbo].[Student_Course] CHECK CONSTRAINT [FK_Student_Course_Student]
GO
USE [master]
GO
ALTER DATABASE [TestDB_Prize] SET  READ_WRITE 
GO
